com.ihr.xbrl.xbrlq

## Class SubQueryToken

- java.lang.Object
- - com.ihr.xbrl.xbrlq.SubQueryToken

-     public class SubQueryToken
      extends java.lang.Object

  This is an operator (optional) and a subToken executable query.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubQueryToken(java.lang.String token, java.lang.String operator)` Instantiates a new sub query token.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLqResult<XBRLFact>` | `execute(org.hibernate.Session session, XBRLqResult<XBRLFact> ret)` Execute.
    `java.util.ArrayList<java.lang.Long>` | `executeIds(org.hibernate.Session session, java.util.ArrayList<java.lang.Long> ret)` Execute ids.
    `java.lang.String` | `getOperator()` Gets the operator.
    `void` | `setArgument(java.lang.String argument)` Sets the argument.
    `void` | `setFilter(java.lang.String string)` Sets the filter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubQueryToken

          public SubQueryToken(java.lang.String token,
                       java.lang.String operator)

      Instantiates a new sub query token.
      Parameters:
        `token` - the token
        `operator` - the operator

  - ### Method Detail

    - #### setFilter

          public void setFilter(java.lang.String string)

      Sets the filter.
      Parameters:
        `string` - the new filter

    - #### setArgument

          public void setArgument(java.lang.String argument)

      Sets the argument.
      Parameters:
        `argument` - the new argument

    - #### getOperator

          public java.lang.String getOperator()

      Gets the operator.
      Returns:
        the operator

    - #### execute

          public XBRLqResult<XBRLFact> execute(org.hibernate.Session session,
                                      XBRLqResult<XBRLFact> ret)
                                        throws XBRLqParserException

      Execute.
      Parameters:
        `session` - the session
        `ret` - the ret
      Returns:
        the XBR lq result
      Throws:
        `XBRLqParserException` - the XBR lq parser exception

    - #### executeIds

          public java.util.ArrayList<java.lang.Long> executeIds(org.hibernate.Session session,
                                                       java.util.ArrayList<java.lang.Long> ret)
                                                         throws XBRLqParserException

      Execute ids.
      Parameters:
        `session` - the session
        `ret` - the ret
      Returns:
        the array list
      Throws:
        `XBRLqParserException` - the XBR lq parser exception